<?php
namespace admin\controls;

class Articles
{
  public static function gallery_order_save()
  {
    if ( \admin\factory\Articles::gallery_order_save( \S::get( 'article_id' ), \S::get( 'order' ) ) )
      echo json_encode( [ 'status' => 'ok', 'msg' => 'Artykuł został zapisany.' ] );

    exit;
  }

  public static function browse_list()
  {
    return \admin\view\Articles::browse_list();
  }

  public static function article_delete()
  {
    if ( \admin\factory\Articles::articles_set_archive( \S::get( 'id' ) ) )
      \S::alert( 'Artykuł został przeniesiony do archiwum.' );
    header( 'Location: /admin/articles/view_list/' );
    exit;
  }

  public static function article_save()
  {
    $response = [ 'status' => 'error', 'msg' => 'Podczas zapisywania artykułu wystąpił błąd. Proszę spróbować ponownie.' ];
    $values = json_decode( \S::get( 'values' ), true );

    if ( $id = \admin\factory\Articles::article_save(
            $values['id'], $values['title'], $values['main_image'], $values['entry'], $values['text'], $values['table_of_contents'], $values['status'], $values['show_title'], $values['show_table_of_contents'], $values['show_date_add'], $values['date_add'], $values['show_date_modify'], $values['date_modify'], $values['seo_link'], $values['meta_title'],
            $values['meta_description'], $values['meta_keywords'], $values['layout_id'], $values['pages'], $values['noindex'], $values['repeat_entry'], $values['copy_from'], $values['social_icons'], $values['block_direct_access']
          ) )
      $response = [ 'status' => 'ok', 'msg' => 'Artykuł został zapisany.', 'id' => $id ];

    echo json_encode( $response );
    exit;
  }

  public static function article_edit()
  {
    \admin\factory\Articles::delete_nonassigned_images();
    \admin\factory\Articles::delete_nonassigned_files();

    return \admin\view\Articles::article_edit(
              \admin\factory\Articles::article_details(
                \S::get( 'id' )
              ),
              \admin\factory\Pages::menus_list(),
              \admin\factory\Languages::languages_list(),
              \admin\factory\Layouts::layouts_list()
            );
  }

  public static function view_list()
  {
    return \admin\view\Articles::articles_list();
  }
}
?>